# frozen_string_literal: true

source 'https://rubygems.org'

ruby ['>= 2.7.0', '< 3.3']

#gem 'sassc', '>= 2.0.0', '< 3.0.0'
gem 'slim', '>= 4.0.1', '< 5.0.0'
gem 'stylus', '>=1.0.2', '<2.0.0'
#gem 'tilt', '>= 2.0.9', '< 3.0.0'
#gem 'rake', '>= 12.3.2'

# Middleman gem
gem 'middleman', '~> 4.4'
gem 'middleman-autoprefixer', '~> 3.0'
gem 'webrick', '~> 1.7'

# Develoment mode gems
group :development do
  gem 'middleman-livereload'
  gem 'tzinfo-data', platforms: [:mswin, :mingw, :jruby] # Windows does not come with time zone data
  gem 'wdm', '~> 0.1', platforms: [:mswin, :mingw] # Windows ONLY -> For faster file watcher updates
end
